Documentation Index
Fetch the complete documentation index at: https://private-7c7dfe99-page-updates.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
What’s Changed
Improvements
- Added SQLAlchemy core API support for
ARRAY JOINandFINALmodifier. Closes #579 - Added Python 3.14 support 🎉 (non-free-threaded build only; free-threaded builds are not yet supported). Closes #574
- Added
utc_tz_awareparameter to client and query methods to opt in to returning timezone-aware UTC objects forDateTime/DateTime64columns. Default behavior remains the same and returns tz naive objects for backward compatibility.- Note: this parameter will likely be removed and only return tz-aware dts in some future release. Closes #566
- Added
executorparameter toAsyncClientconstructor to allow passing a custom executor for async operations. This allows users to control the concurrency and thread pool used by the async client.
Bug Fixes
- Fixed DST fallback bug in
DateTimeandDateTime64types caused by passing potentially ambiguous times topd.DateTimeIndexconstructor. Closes #585 - Fixed issue with JSON key dot escaping. Closes #571
New Contributors
- @prokofyevDmitry made their first contribution in https://github.com/ClickHouse/clickhouse-connect/pull/569
- @wiese-m made their first contribution in https://github.com/ClickHouse/clickhouse-connect/pull/583
- @meirdev made their first contribution in https://github.com/ClickHouse/clickhouse-connect/pull/578
What’s Changed
- Updated
python_requiresto drop Python 3.8 and advertise support for 3.9–3.13 - Allow passing
roleas a field in thesettingskeyword argument to set a role for a specific query
New Contributors
- @svix-jbrown made their first contribution in https://github.com/ClickHouse/clickhouse-connect/pull/550
What’s Changed
- Fixed typing issue that required numpy to be installed during clickhouse_connect import
What’s Changed
Breaking Changes
- WARNING: BREAKING CHANGE — Removed support for sqlalchemy 1.3 which reached its EOL in 2021. The minimum required version is now 1.4.40.
- WARNING: BREAKING CHANGE — Behavior for reading from IPv6 columns has changed:
- With
read_format='native', the client will always returnipaddress.IPv6Addressobjects, even for IPv4-mapped addresses (e.g.,"::ffff:192.168.1.1"). Previously, the client returnedipaddress.IPv4Addressobjects for these cases. This change enforces type consistency and avoids surprising implicit conversions. If your application requires IPv4 objects, you can explicitly convert using theipv4_mappedattribute ofIPv6Address. - With
read_format='string', the client will always return IPv6 string representations, e.g.,"::ffff:192.168.1.1"instead of"192.168.1.1", for the same reasons as above. If you require only the IPv4 string, you can parse or truncate this in your application code. - Closes #493
- With
Major Features
- Added support for SQLAlchemy 2.x. The minimum required version is 1.4.40. Closes #263
- Added Polars support for Arrow-based query and insert methods (
query_df_arrow,query_df_arrow_stream,insert_df_arrow). This initial implementation provides basic dataframe conversion through the Arrow format, similar to how we support the pyarrow-backed pandas dataframes. Closes #111 and #542 - Added support for querying/inserting pyarrow-backed DataFrames:
query_df_arrow(): returns a pandas DataFrame with PyArrow dtype backend. Note that Arrow data types are preserved without additional conversions.query_df_arrow_stream(): Streaming version ofquery_df_arrow()for processing large result sets.insert_df_arrow(): Optimized insertion method for pandas DataFrames with PyArrow backend, which should provide better performance than standardinsert_df().
- Added Time and Time64 type support. Closes #509
- Support for both pandas 1.x and 2.x.
- Added support for Nullable(JSON) types
- Added support for BFloat16 types
Improvements
- Add support for lightweight
DELETEin sqlalchemy. Closes #382 - Added support for
SELECT/JOINoperations via SQLAlchemy’s core API (table operations and explicit statements—not ORM sessions-based queries) - Added client connection option
rename_response_column(defaultNone) that allows the user to define how response columns are automatically renamed according to a predefined scheme. Helpful for stripping alias prefixes, etc. in potentially complex queries. Closes #228 - Add third-party library identifiers (name/version) in the User-Agent, e.g. pandas/2.2.5. Users can opt out by changing the common setting
send_integration_tagstoFalse. - Added support for form encoding query parameters when using HTTP interface. This addresses #342. Query parameters can now be sent as form-encoded data in the request body by setting
form_encode_query_params=Truewhen creating the client. This is particularly useful for queries with large parameter payloads that might exceed URL length limits. - Added support for special interval types. Closes #391
- Added new common setting option “preserve_pandas_datetime_resolution” (default is
False) allowing pandas 2.x users to opt into (when set toTrue) using the additional pandas 2.x datetime64/timedelta64 resolutions of “s”, “ms”, “us”. If set toFalseor using pandas 1.x, all datetime64/timedelta64 resolutions will be coerced to “ns”. (See here for more info). Closes #165 and #531 - Tightens up type consistency of date-like objects when using
query_df - When writing to an IPv6 column type, the client will “promote” IPv4 addresses to IPv4-mapped IPv6 addresses to prevent write errors. Closes #498
- Changed
AsyncClient.settingstyping toOptional[Dict[str, Any]]to accept None inputs. - Added more robust error handling and tests. Closes #508
- Replace the use of deprecated
datetime.utcfromtimestamp
Bug Fixes
- Fixed an AttributeError on
http.clientwhen importingclickhouse_connectunder certain circumstances - Fixes problem with df inserts of Time and Time64 types. Closes #524
New Contributors
- @herbert-allium made their first contribution in https://github.com/ClickHouse/clickhouse-connect/pull/512
- @SkytAsul made their first contribution in https://github.com/ClickHouse/clickhouse-connect/pull/518
- @janwijbrand made their first contribution in https://github.com/ClickHouse/clickhouse-connect/pull/545
- @sanjams2 made their first contribution in https://github.com/ClickHouse/clickhouse-connect/pull/543
What’s Changed
- Fix SQLAlchemy execution error by using text() function by @lakako in https://github.com/ClickHouse/clickhouse-connect/pull/491
- Test fixes for main by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/497
- Ensure types are returned even if there are no rows by @orian in https://github.com/ClickHouse/clickhouse-connect/pull/500
- Fix some issues with cursor behavior by @joe-clickhouse in https://github.com/ClickHouse/clickhouse-connect/pull/506
- Reset cursor location after performing an execute.
- Fix behavior of
fetchallto only return rows from the current cursor location. - Fixes logic of
fetchmanyto respect size parameter.
- Added a standalone test file (
tests/unit_tests/test_driver/test_cursor.py) for testing cursor behavior
New Contributors
- @lakako made their first contribution in https://github.com/ClickHouse/clickhouse-connect/pull/491
- @joe-clickhouse made their first contribution in https://github.com/ClickHouse/clickhouse-connect/pull/506
What’s Changed
- Updates for 0.8.17 release by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/488
- Add param extra_http_headers to query/command methods by @orian in https://github.com/ClickHouse/clickhouse-connect/pull/489
- Change extra_http_headers to transport_settings by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/490
What’s Changed
- Gg/update test matrix by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/464
- Fix CI tests with default user by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/465
- Replace removal of ; in the loop line with rstrip by @sbobryshev in https://github.com/ClickHouse/clickhouse-connect/pull/472
- Docker test fixes by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/473
- Update README.md doc link by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/476
- Correct typing of create_client(host, username) by @biggerfisch in https://github.com/ClickHouse/clickhouse-connect/pull/482
- Release 0 8 16 by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/485
New Contributors
- @sbobryshev made their first contribution in https://github.com/ClickHouse/clickhouse-connect/pull/472
What’s Changed
- Update
test_tls.pyreference by @emmanuel-ferdman in https://github.com/ClickHouse/clickhouse-connect/pull/455 - Gg/update test jwt by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/458
- Fix memory leak in AsyncClient by @pufit in https://github.com/ClickHouse/clickhouse-connect/pull/457
- 0.8.15 release by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/459
- Exclude 3.8 Aarch64 builds by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/460
New Contributors
- @emmanuel-ferdman made their first contribution in https://github.com/ClickHouse/clickhouse-connect/pull/455
- @pufit made their first contribution in https://github.com/ClickHouse/clickhouse-connect/pull/457
What’s Changed
- Make all None by default arguments accept None value by @orian in https://github.com/ClickHouse/clickhouse-connect/pull/450
- Fix pandas large ints by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/454
New Contributors
- @orian made their first contribution in https://github.com/ClickHouse/clickhouse-connect/pull/450
What’s Changed
- fix: add default value for access token in HttpClient init by @lukasthalerINNIO in https://github.com/ClickHouse/clickhouse-connect/pull/448
- Bump version for release by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/449
New Contributors
- @lukasthalerINNIO made their first contribution in https://github.com/ClickHouse/clickhouse-connect/pull/448
What’s Changed
- JWT auth support by @slvrtrn in https://github.com/ClickHouse/clickhouse-connect/pull/442
What’s Changed
- Add a write into file example by @slvrtrn in https://github.com/ClickHouse/clickhouse-connect/pull/437
- Add support of ISO8601 timestamp strings for columns with
DateTime64type by @rnv812 in https://github.com/ClickHouse/clickhouse-connect/pull/440 - Dynamic type serialization fixes by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/443
New Contributors
- @rnv812 made their first contribution in https://github.com/ClickHouse/clickhouse-connect/pull/440
What’s Changed
- Update experimental JSON support by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/438
What’s Changed
- Gg/release 0 8 9 by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/434
What’s Changed
- Gg/fix source dist name by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/430
- Gg/handle stream exception by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/431
What’s Changed
- Gg/release 0 8 7 by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/428
What’s Changed
- Fix chunked streaming and wait_end_of_query bug by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/421
What’s Changed
- Move type conversion to specific datatypes by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/415
What’s Changed
- Gg/release 0 8 4 by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/413
What’s Changed
- Test workflow updates by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/406
- Add executor_threads parameter to async client by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/408
What’s Changed
- Arrow compression plus another http buffer tweak by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/404
What’s Changed
- Clean up http buffer by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/402
What’s Changed
- Include the column name in the error message for an unexpected NULL by @angusholder in https://github.com/ClickHouse/clickhouse-connect/pull/397
- 0.8.0 Release by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/400
New Contributors
- @angusholder made their first contribution in https://github.com/ClickHouse/clickhouse-connect/pull/397
What’s Changed
- Fix insert large string by @bakwc in https://github.com/ClickHouse/clickhouse-connect/pull/388
New Contributors
- @bakwc made their first contribution in https://github.com/ClickHouse/clickhouse-connect/pull/388
What’s Changed
- Don’t throw exception if unable to get os_user by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/381
What’s Changed
- Fix server_tz, add os_user by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/378
Improvement
- Added the
AsyncClientwrapper which is intended forasyncioenvironment usage.AsyncClienthas the same methods with the same parameters as the standardClient, but they are coroutines when applicable. Internally, these methods from theClientthat perform I/O operations are wrapped in a run_in_executor call. See also the updated run_async example.
What’s Changed
- Allow using client cert and key with mutual TLS proxy by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/373
What’s Changed
- Add an example of how to run async by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/359
- Added minimum version for tzlocal by @drew-talon in https://github.com/ClickHouse/clickhouse-connect/pull/362
- Sercurity issue: remove clickhouse server ip & port in the exception by @andy1xx8 in https://github.com/ClickHouse/clickhouse-connect/pull/364
- Add the ability to bind binary data parameters by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/365
- Update version for v0.7.13 by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/366
- Update version for v0.7.14, fix UUID dashes by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/369
New Contributors
- @drew-talon made their first contribution in https://github.com/ClickHouse/clickhouse-connect/pull/362
- @andy1xx8 made their first contribution in https://github.com/ClickHouse/clickhouse-connect/pull/364
What’s Changed
- Fix FixedString pandas type by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/357
What’s Changed
- Fix precision loss in Float to Decimal conversion by @feychenie in https://github.com/ClickHouse/clickhouse-connect/pull/354
- Housekeeping for v0.7.11 by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/355
New Contributors
- @feychenie made their first contribution in https://github.com/ClickHouse/clickhouse-connect/pull/354
Attempt fix of a pandas concatenation exception for some kinds of empty responses.
What’s Changed
- added missing parameter to tzname by @tstenson in https://github.com/ClickHouse/clickhouse-connect/pull/341
- Add show_clickhouse_errors parameter, various other tweaks by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/351
New Contributors
- @tstenson made their first contribution in https://github.com/ClickHouse/clickhouse-connect/pull/341
What’s Changed
- Client timezone update by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/339
What’s Changed
- Fix complex numeric query binds, clean up raw API by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/336
What’s Changed
- Fix sqlalchemy Point by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/333
What’s Changed
- Add async_insert=0 for tests by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/323
- Smt cleanup test by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/324
- fix(external-data): allow empty data external data by @martijnthe in https://github.com/ClickHouse/clickhouse-connect/pull/328
- Client side binding fix by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/329
New Contributors
- @martijnthe made their first contribution in https://github.com/ClickHouse/clickhouse-connect/pull/328
What’s Changed
- Skip json tests by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/319
- Add query_arrow_stream by @NotSimone in https://github.com/ClickHouse/clickhouse-connect/pull/321
- Housekeeping for 0.7.4 release by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/322
New Contributors
- @NotSimone made their first contribution in https://github.com/ClickHouse/clickhouse-connect/pull/321
What’s Changed
- Add summary field to the Cursor object by @elchyn-cheliabiyeu in https://github.com/ClickHouse/clickhouse-connect/pull/317
What’s Changed
- Improve query_df, update pylint by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/311
- fix issue with multibyte UTF8 column names by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/313
What’s Changed
- Correct typing of Client.query*(query) by @biggerfisch in https://github.com/ClickHouse/clickhouse-connect/pull/301
- Release 0 7 1 by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/306
Drop Python 3.7 builds, minor updates
What’s Changed
- Pass init params by @aastafiev in https://github.com/ClickHouse/clickhouse-connect/pull/291
- 0.7.0 fixes and changelog by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/294
What’s Changed
- Add missing Nothing datatype for SQLAlchemy by @elchyn-cheliabiyeu in https://github.com/ClickHouse/clickhouse-connect/pull/279
- Fix Pandas Concatenation Warning by @DylanModesitt in https://github.com/ClickHouse/clickhouse-connect/pull/280
New Contributors
- @elchyn-cheliabiyeu made their first contribution in https://github.com/ClickHouse/clickhouse-connect/pull/279
- @DylanModesitt made their first contribution in https://github.com/ClickHouse/clickhouse-connect/pull/280
What’s Changed
- fix the small logging message typo by @reijnnn in https://github.com/ClickHouse/clickhouse-connect/pull/275
- Add ATTACH to commands by @alekseipalshin in https://github.com/ClickHouse/clickhouse-connect/pull/276
- Release 0 6 22 by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/277
New Contributors
- @alekseipalshin made their first contribution in https://github.com/ClickHouse/clickhouse-connect/pull/276
What’s Changed
- add point type by @Dhruvit96 in https://github.com/ClickHouse/clickhouse-connect/pull/273
- Release 0 6 21 by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/274
New Contributors
- @Dhruvit96 made their first contribution in https://github.com/ClickHouse/clickhouse-connect/pull/273
What’s Changed
- Fix datetime parameter binding with timezones by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/269
What’s Changed
- Release 0 6 19 by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/266
This reduces the block size for chunked inserts to avoid timeouts over HTTPS
What’s Changed
- Release 0 6 17 by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/255
Fixes an import problem on some Python installations, including RHEL
Build and CI tests for Python 3.12
Fix Python 3.7 import issue, 0 length FixedString Inserts
What’s Changed
- Add py.typed file (PEP 561) by @biggerfisch in https://github.com/ClickHouse/clickhouse-connect/pull/243
New Contributors
- @biggerfisch made their first contribution in https://github.com/ClickHouse/clickhouse-connect/pull/243
Fixes index error on nested empty maps using native protocol
What’s Changed
- Release 0 6 11 by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/235
Allow use of the Object(Nullable(‘json’)) type, which is sometimes generated as a result of schema inference.
Improved insert error diagnostics, small packaging improvements.
What’s Changed
- Insert compression issues by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/224
Fixes an issue with reading some LowCardinality columns. Updates Cython to 3.0.0
What’s Changed
- Fix Pandas integer enum insert by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/220
Adds QuerySummary to insert queries, fixes several small issues
What’s Changed
- Added a numeric condition in the min_version() method of the client for Altinity Stable versions by @lesandie in https://github.com/ClickHouse/clickhouse-connect/pull/217
- Optional max_error_chars parameter added to HTTP Client class by @RamlahAziz in https://github.com/ClickHouse/clickhouse-connect/pull/199
- refactor: pkg_resources -> importlib.metadata by @cwegener in https://github.com/ClickHouse/clickhouse-connect/pull/214
- 0 6 5 release by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/218
New Contributors
- @lesandie made their first contribution in https://github.com/ClickHouse/clickhouse-connect/pull/217
- @RamlahAziz made their first contribution in https://github.com/ClickHouse/clickhouse-connect/pull/199
- @cwegener made their first contribution in https://github.com/ClickHouse/clickhouse-connect/pull/214
What’s Changed
- Fix issue when ClickHouse has no
defaultdatabase - Fix SQLAlchemy dialect
get_table_namesmethod when database contains special characters
Fix float rounding for Decimal columns, and broken datetime64 dates before 1970
What’s Changed
- fix _MAXHEADERS property by @istrebitel-1 in https://github.com/ClickHouse/clickhouse-connect/pull/197
- Improve string insertion performance by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/200
New Contributors
- @istrebitel-1 made their first contribution in https://github.com/ClickHouse/clickhouse-connect/pull/197
Update Superset instructions
What’s Changed
Superset engine spec removed, multiprocessing fix with uuid4 session ids and urllib3 PoolManager per client, low level insert improvements.Full Changelog: https://github.com/ClickHouse/clickhouse-connect/compare/v0.5.25…v0.6.0Fixes an issue with using clickhouse-connect with CHProxy and recent ClickHouse versions related to the client_protocol_version setting
Fixes bugs with external data, SimpleAggregateFunction inserts, and date/datetime server side parameter binding.
Some minor bug fixes, plus a new common setting
max_connection_ageWhat’s Changed
- V0.5.23 by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/185
What’s Changed
zstd compression was broken with urllib3 (both the library and clickhouse-connect were decompressing the payload)Full Changelog: https://github.com/ClickHouse/clickhouse-connect/compare/v0.5.21…0.5.22What’s Changed
- nit: change unexpected http error log to warning level by @alexandrosandre in https://github.com/ClickHouse/clickhouse-connect/pull/173
- 0_5_21 Release by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/174
New Contributors
- @alexandrosandre made their first contribution in https://github.com/ClickHouse/clickhouse-connect/pull/173
What’s Changed
- Fix http settings and row dataframe inserts by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/168
What’s Changed
- Fixes #159 - quoting and escaping string literals inside lists by @ewjoachim in https://github.com/ClickHouse/clickhouse-connect/pull/161
- bug fixes for v0.5.19 by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/166
New Contributors
- @ewjoachim made their first contribution in https://github.com/ClickHouse/clickhouse-connect/pull/161
What’s Changed
- Same timezone fix by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/158
What’s Changed
- Timezone updates and external data by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/156
What’s Changed
- fix key error in connection with no available settings from server by @Barsoomx in https://github.com/ClickHouse/clickhouse-connect/pull/147
- Bytes strings by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/149
New Contributors
- @Barsoomx made their first contribution in https://github.com/ClickHouse/clickhouse-connect/pull/147
What’s Changed
- Allows connect to server version 19.16.19.85 by @aastafiev in https://github.com/ClickHouse/clickhouse-connect/pull/140
- Fix temp table inserts by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/146
New Contributors
- @aastafiev made their first contribution in https://github.com/ClickHouse/clickhouse-connect/pull/140
Fixed bad pandas import, made optional import failure message less noisy.Full Changelog: https://github.com/ClickHouse/clickhouse-connect/compare/v0.5.13…v0.5.14
What’s Changed
- Panda nulls by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/137
What’s Changed
- Server host name by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/134
What’s Changed
- Better error message for invalid numpy DateTime64 types by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/127
- Added column_oriented check to the named_results function by @reijnnn in https://github.com/ClickHouse/clickhouse-connect/pull/129
- SSH Tunnel example, support for client_protocol_version by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/131
New Contributors
- @reijnnn made their first contribution in https://github.com/ClickHouse/clickhouse-connect/pull/129
What’s Changed
- Optimize null strings, bug fixes by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/125
What’s Changed
- Streaming fixes by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/124
What’s Changed
- Return empty df instead of list by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/119
- Add query_tz and column_tzs query arguments by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/121
What’s Changed
- Restore proxy support by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/115
What’s Changed
- Fix dataframe insert mutation by @genzgd in https://github.com/ClickHouse/clickhouse-connect/pull/113
Several performance improvements, especially for Pandas Dataframes.
This fixes issues where the client.database is set to None (that is not a common use case, but it can affect automated tests, such as for dbt-clickhouse).
Better support for Numpy arrays, including both object arrays and resizable matrices. Fix for an issue migrating Superset from clickhouse-sqlalchemy to clickhouse-connect
Improvs insert performance (and prevents timeouts) by using chunked transfer encoding and gzip compression (if compression is enabled)
Fix insert into JSON column from SQLAlchemy, and fix some SQLAlchemy 1.4 issues.
Fix for Superset large integers (now rendered as strings)
Fix for UInt64 type being incorrectly signed
This release removes the deprecated row binary serialization for ClickHouse communications and fixes some Superset issues.
This release fixes a minor bug where the Superset connection dialog would incorrectly display connection errors if using the default port
This release now creates binary wheels for most Python platforms.
This release adds JSON support, fixes some SQLAlchemy related bugs, and introduces a new system for formatting query results.
Add support for Nested columns, small bug fixes
This fixes a breaking change where readonly settings would be sent to the ClickHouse server and cause queries to fail.
Beta release with improvements to client.command allowing separation of query from data.
Minor fixes to address deprecated APIs
Using the setting “metadata_only” or setting a query LIMIT of 0 will now correctly return column names and types in the QueryResult
Fix for PyPI release versions
